# $Revision: 1.2 $, $Date: 2002/08/15 21:59:26 $
#
# Conditional build:
# _with_tests - perform "make test" (failed on my machine)
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Latex
Summary:	HTML::Latex - Creates a Latex file from an HTML file
Summary(pl):	Modu HTML::Latex - tworzcy plik LaTeX z pliku HTML
Name:		perl-%{pdir}-%{pnam}
Version:	1.0
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%{?_with_tests:BuildRequires:	perl-HTML-Tree }
%{?_with_tests:BuildRequires:	perl-XML-Simple >= 1.04}
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Converts properly formatted HTML files, filehandles, or strings to
LaTeX. It offers several options in processing, such a the ignoring of
tags, the configuration of the TeX, and downloading of URLs. It is
also much easier to extend than any other html2latex converter.

%description -l pl
Modu ten konwertuje odpowiednio sformatowane pliki HTML, uchwyty
plikw lub acuchy znakw do LaTeXa. Oferuje przy przetwarzaniu kilka
opcji, takich jak ignorowanie znacznikw, konfiguracja TeXa oraz
ciganie odnonikw. Jest duo prostszy do rozbudowywania ni
jakikolwiek inny konwerter html2latex.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Latex.spec,v $
Revision 1.2  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.1  2002/08/06 19:56:47  radek
- new, STBR
